View Issue Details

IDProjectCategoryView StatusLast Update
0000029Bacula-Webbug-pgsqlpublic2013-11-19 15:06
ReporterpappapoAssigned Todavide 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformBSD UnixOSFreeBSDOS Version8-STABLE recent
Product Version5.0.3 
Target Version5.1.0 - alphaFixed in Version5.1.0 - alpha 
Summary0000029: Unable to get volume number from catalog
DescriptionAfter installing latest version of bacula-web, the above is only thing displayed in browser.
Additional InformationBacula 5.0.3
Postgres 8.3
PHP version: 5.3.6

configs/bacula.conf:
mode = Full
lang = en_EN
[.DATABASE]
host = 127.0.0.1 ; Database host or IP
login = bacula ; Database account name
pass = <password> ; Database account password
db_name = bacula ; Database name
db_type = pgsql ; Database type
db_port = 5432


postgres log:
postgres[43501]: [3-1] ERROR: invalid input syntax for integer: ""
postgres[43501]: [3-2] STATEMENT: SELECT COUNT(*) AS nb_vol FROM Media WHERE PoolId = ''

php log:
PHP Notice: Undefined index: Name in /usr/local/www/bacula-web/bweb.inc.php on line 462
PHP Notice: Undefined index: PoolId in /usr/local/www/bacula-web/bweb.inc.php on line 445
TagsNo tags attached.

Activities

davide

2011-07-22 00:09

manager   ~0000037

Should be fixed in version 5.1.0 alpha.
Thanks to confirm as soon as this version would be published.

Regards

davide

2011-07-25 23:05

manager   ~0000041

Fixed in this version (5.1.0 alpha)

davide

2013-11-19 15:06

manager   ~0000355

Issue closed

Issue History

Date Modified Username Field Change
2011-03-28 11:52 pappapo New Issue
2011-05-31 15:47 davide Assigned To => davide
2011-05-31 15:47 davide Status new => assigned
2011-06-02 14:39 davide Product Version => 5.0.3
2011-06-17 16:49 davide Status assigned => confirmed
2011-06-17 16:49 davide Target Version => 5.1.0 - alpha
2011-06-17 16:50 davide Status confirmed => assigned
2011-07-22 00:08 davide Fixed in Version => 5.1.0 - alpha
2011-07-22 00:09 davide Note Added: 0000037
2011-07-25 23:05 davide Note Added: 0000041
2011-07-25 23:05 davide Status assigned => resolved
2011-07-25 23:05 davide Resolution open => fixed
2013-11-19 15:06 davide Status resolved => closed
2013-11-19 15:06 davide Note Added: 0000355